<?php

/**
 * Option page of the plugin.
 *
 * @since      1.0.0
 * @package    TyresAddict
 * @subpackage TyresAddict/Finder/includes
 * @author     TyresAddict
 * @link       http://b2b.tyresaddict.com
 */

namespace TyresAddict\Finder;


class PluginOptions
{
	const defaults = [	'tab_tyre_vehicle' 		=> true,
						'tab_tyre_size' 		=> true,

						'tab_wheel_vehicle' 	=> true,
						'tab_wheel_size' 		=> true,
						
						'tyre_url'		=> '',
						't_field_width'		=> 'width',
						't_field_profile'	=> 'profile',
						't_field_r'			=> 'r',
						
						'wheel_url'			=> '',
						'w_field_width'		=> 'width',
						'w_field_r'			=> 'r',
						'w_field_pcd'		=> 'pcd',
						'w_field_dia'		=> 'dia',
						'w_field_et'		=> 'et',

						'popup_type'		=> 'default',
						'popup_id'			=> 0,

						'theme'				=> 'white',
						'show_r'			=> true,
						'custom_css'		=> ''
						];

	const themes 	= \TyresAddictWooFinderPluginProVer::themes;
	private $options 	= [];

	const OptionGroup 	= 'tyresaddict_woo_options';
	const OptionPage 	= 'tyresaddict-woo-option-page';
	const OptionFilterUrl 	= 'tyresaddict_woo_filter_url';

	static function value( $field ) 
	{
		$options = get_option( PluginOptions::OptionGroup );
		
		if ( false === $options )
			return PluginOptions::defaults[ $field ];

		if ( !isset( $options[ $field ] ) )
			return PluginOptions::defaults[ $field ];

		return $options[ $field ];
	}
}




