<?php

/**
 * WP & WooCommerce helpers
 *
 * @since      1.0.0
 * @package    TyresAddict
 * @subpackage TyresAddict/Finder/includes
 * @author     TyresAddict
 * @link       http://b2b.tyresaddict.com
 */

namespace TyresAddict\Finder;


class Woo
{

	static function shop_url()
	{
		return wc_get_page_permalink( 'shop' );
	}

	static function activate_notices()
	{
		add_action('admin_notices', [ 'TyresAddict\Finder\Woo', 'admin_notices' ]);
	}

	static function admin_notices() 
	{
		if ($notices = get_option( Plugin::prefix . 'deferred-admin-notices')) 
		{                    
		    foreach ($notices as $notice) {
				echo "<div class='error notice'><p>$notice</p></div>";
			}
			
			delete_option( Plugin::prefix . 'deferred-admin-notices');
		}
	}

	static function admin_notice( $notice ) 
	{
		$notices = get_option(Plugin::prefix . 'deferred-admin-notices', []);
    	$notices[] = $notice;
		update_option(Plugin::prefix . 'deferred-admin-notices', $notices);
	}


	static function dev() 
	{
		if ( in_array( 'tyresaddict-dev/tyresaddict-dev.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) )
			return true;

		return false;
	}
}


