(function( $ ) {
	'use strict';

	$(function() {

	 	if ( tyresaddict_woo_finder === null ) {
	 		return;
	 	}

		$('.js-finder-tab').on( 'click', function() {
			$('.js-finder-tab').removeClass('active');
			$(this).addClass('active');

			$('form.js-twf-block').hide();
			$('form.' + $(this).data('find-block')).show();
		});
		$('.js-tfinder-tab').on( 'click', function() {
			$('.js-tfinder-tab').removeClass('active');
			$(this).addClass('active');

			$('form.js-tf-block').hide();
			$('form.' + $(this).data('find-block')).show();
		});
		$('.js-wfinder-tab').on( 'click', function() {
			$('.js-wfinder-tab').removeClass('active');
			$(this).addClass('active');

			$('form.js-wf-block').hide();
			$('form.' + $(this).data('find-block')).show();
		});


		$('.js-twf-auto-make').on( 'change', function(){
			tawootf_auto_brand( $(this).data('idprefix') );
		});

		function tawootf_auto_brand( idprefix )
		{
			var widget = '#' + idprefix + '_';

			var data = {
				'action': 'tyresaddict_woo_finder',
				'method': 'vehicledb_models',
				'make' 	: $(widget + 'auto_make').val()
			};                                              

			$.get( tyresaddict_woo_finder.ajax_url, data, function(data){
				if (!data.result)
					alert(data.message);
				else
				{
					$(widget + 'auto_model').html('<option value="">' + $(widget + 'auto_model').data('none') + '</option>');
					$(widget + 'auto_model').removeAttr('disabled');

					$(widget + 'auto_year').html( '<option value="">' + $(widget + 'auto_year').data('none') + '</option>');
					$(widget + 'auto_year').attr('disabled', '');

					$(widget + 'auto_mod').html( '<option value="">' + $(widget + 'auto_mod').data('none') + '</option>');
					$(widget + 'auto_mod').attr('disabled', '');

					if ( $(widget + 'auto_make').val() == '' )
						$(widget + 'auto_model').attr('disabled', '');

		        	$(widget + 'auto_button').attr('disabled', '');

		        	$.each(data.models, function() 
		        	{
			        	//$(sel_model).append('<option data-url="'+this.model_url+'" value="'+this.model_id+'">'+this.model_name+'</option>');
		    	    	$(widget + 'auto_model').append('<option>'+this+'</option>');
        			});
	        	}
    	    }, "json");
		}

		$('.js-twf-auto-model').on( 'change', function(){
			tawootf_auto_model( $(this).data('idprefix') );
		});

		function tawootf_auto_model( idprefix )
		{
			var widget = '#' + idprefix + '_';

			var data = {
				'action': 'tyresaddict_woo_finder',
				'method': 'vehicledb_years',
				'make' 	: $(widget + 'auto_make').val(),
				'model' : $(widget + 'auto_model').val()
			};

			$.get( tyresaddict_woo_finder.ajax_url, data, function(data){
				if (!data.result)
					alert(data.message);
				else
				{
					$(widget + 'auto_year').html( '<option value="">' + $(widget + 'auto_year').data('none') + '</option>');
					$(widget + 'auto_year').removeAttr('disabled');

					$(widget + 'auto_mod').html( '<option value="">' + $(widget + 'auto_mod').data('none') + '</option>');
					$(widget + 'auto_mod').attr('disabled', '');

					if ( $(widget + 'auto_model').val() == '' )
						$(widget + 'auto_year').attr('disabled', '');

		        	$(widget + 'auto_button').attr('disabled', '');

	    	    	$.each(data.years, function() 
	        		{
		        		$(widget + 'auto_year').append('<option value="'+this+'">'+this+'</option>');
	        		});
    	    	}
        	}, "json");
		}

		$('.js-twf-auto-year').on( 'change', function(){
			tawootf_auto_year( $(this).data('idprefix') );
		});

		function tawootf_auto_year( idprefix )
		{
			var widget = '#' + idprefix + '_';

			var data = {
				'action': 'tyresaddict_woo_finder',
				'method': 'vehicledb_mods',
				'make' 	: $(widget + 'auto_make').val(),
				'model' : $(widget + 'auto_model').val(),
				'year' 	: $(widget + 'auto_year').val()
			};

			$.get( tyresaddict_woo_finder.ajax_url, data, function(data){
				if (!data.result)
					alert(data.message);
				else
				{
					$(widget + 'auto_mod').html( '<option value="">' + $(widget + 'auto_mod').data('none') + '</option>' );
					$(widget + 'auto_mod').removeAttr('disabled');
	        	
					if ( $(widget + 'auto_year').val() == '' )
						$(widget + 'auto_mod').attr('disabled', '');

		        	$(widget + 'auto_button').attr('disabled', '');

		        	$.each(data.mods, function() 
		        	{
			        	$(widget + 'auto_mod').append('<option value="'+this+'">'+this+'</option>');
        			});
	        	}
    	    }, "json");
		}

		$('.js-twf-auto-mod').on( 'change', function(){
			tawootf_auto_mod( $(this).data('idprefix') );
		});
		

		$('.js-tf-integration').on( 'click', function(){
			tawootf_garage_popup( '', $(this).data('make'), $(this).data('model'), $(this).data('year'), $(this).data('mod') );
		});

		$('.js-tfw-integration').on( 'click', function(){
			tawootfw_garage_popup( '', $(this).data('make'), $(this).data('model'), $(this).data('year'), $(this).data('mod') );
		});

		function tawootf_auto_mod( idprefix )
		{
			var widget = '#' + idprefix + '_';

			tawootf_garage_popup( widget, 
									$(widget + 'auto_make').val(), 
									$(widget + 'auto_model').val(), 
									$(widget + 'auto_year').val(), 
									$(widget + 'auto_mod').val() );
		}

		function tawootf_garage_popup( widget, auto_make, auto_model, auto_year, auto_mod )
		{
			var data = {
				'action': 'tyresaddict_woo_finder',
				'method': 'vehicledb_trim',
				'make' 	: auto_make,
				'model' : auto_model,
				'year' 	: auto_year,
				'mod' 	: auto_mod
			};

			$.get( tyresaddict_woo_finder.ajax_url, data, function(data){
				if (!data.result)
					alert(data.message);
				else
				{
					$('.tfw-tyre-sizes').html(data.html).show().slideDown();
					$('.tfw-wheel-sizes').html('').hide();
					$('.js-tfw-vehicle-name').html(data.car);

					tawootf_open_search_popup();

		        	$(widget + 'auto_button').removeAttr('disabled');
	        	}
    	    }, "json");
		}


		$('.js-twf-w-auto-mod').on( 'change', function(){
			tawootfw_auto_mod( $(this).data('idprefix') );
		});
		
		function tawootfw_auto_mod( idprefix )
		{
			var widget = '#' + idprefix + '_';

			tawootfw_garage_popup( widget, $(widget + 'auto_make').val(), 
									$(widget + 'auto_model').val(), 
									$(widget + 'auto_year').val(), 
									$(widget + 'auto_mod').val() );
		}

		function tawootfw_garage_popup( widget, auto_make, auto_model, auto_year, auto_mod )
		{
			var data = {
				'action': 'tyresaddict_woo_finder',
				'method': 'vehicledb_trim_wheels',
				'make' 	: auto_make,
				'model' : auto_model,
				'year' 	: auto_year,
				'mod' 	: auto_mod
			};

			$.get( tyresaddict_woo_finder.ajax_url, data, function(data){
				if (!data.result)
					alert(data.message);
				else
				{
					$('.tfw-tyre-sizes').html('').hide();
					$('.tfw-wheel-sizes').html(data.html).show().slideDown();
					$('.js-tfw-vehicle-name').html(data.car);

					tawootf_open_search_popup();

		        	$(widget + 'auto_button').removeAttr('disabled');
	        	}
    	    }, "json");
		}

		function tawootf_open_search_popup()
		{
		    if ( tyresaddict_woo_finder.popup_type == 'default')
				jQuery("#twf-finder-results").iziModal("open");
		    else
				PUM.open(tyresaddict_woo_finder.popup_id);
			return false;
		}

		$('.js-tf-vehicle-button').on( 'click', function(){
			tawootf_auto_mod( $(this).data('idprefix') );
			return false;
		});

		$('.js-tfw-vehicle-button').on( 'click', function(){
			tawootfw_auto_mod( $(this).data('idprefix') );
			return false;
		});

	});

})( jQuery );
