<?php
	use \TyresAddict\Finder\Plugin;
?>

<!-- Start ta filter shortcode | White theme -->
<div class="twf-finder twf-finder-chromium-br">
		
	@if ( ( $widget == 'tyre' && $tab_tyre_vehicle && $tab_tyre_size ) || ( $widget == 'wheel' && $tab_wheel_vehicle && $tab_wheel_size ) )
		<div class="twf-finder-tabs">
				
			@if ( $widget == 'tyre' && $tab_tyre_vehicle )
				<a class="js-tfinder-tab active" data-find-block="js-twf-vehicle">
					<?=__( 'Tyres<br><span>By Vehicle</span>', Plugin::lang ); ?>
				</a>
			@endif
				
			@if ( $widget == 'tyre' && $tab_tyre_size )
				<a class="js-tfinder-tab" data-find-block="js-twf-size">
					<?=__( 'Tyres<br><span>By Size</span>', Plugin::lang ); ?>
				</a>
			@endif

			@if ( $widget == 'wheel' && $tab_wheel_vehicle )
				<a class="js-wfinder-tab active" data-find-block="js-twf-w-vehicle">
					<?=__( 'Wheels<br><span>By Vehicle</span>', Plugin::lang ); ?>
				</a>
			@endif
				
			@if ( $widget == 'wheel' && $tab_wheel_size )
				<a class="js-wfinder-tab" data-find-block="js-twf-w-size">
					<?=__( 'Wheels<br><span>By Size</span>', Plugin::lang ); ?>
				</a>
			@endif
		
		</div>
	@endif

	@if ( $widget == 'tyre' && $tab_tyre_vehicle )
		
		<form class="twf-finder-block js-tf-block js-twf-vehicle"
			action="{{ esc_attr( $tyre_url ) }}"
			method="get">

			<div class="finder-form">

				<select name="make" id="twf_auto_make" data-none="{{ __( 'Make', Plugin::lang ) }}" data-idprefix="twf" class="tf-b-left js-twf-auto-make" data-group="by-vehicle">
					<option value="">{{ __( 'Make', $t ) }}</option>
					@foreach ( $makes as $make )
						<option><?php echo esc_html( $make ); ?></option>
					@endforeach
				</select>

				<select name="model" id="twf_auto_model" data-none="{{ __( 'Model', Plugin::lang ) }}" data-idprefix="twf" class="js-twf-auto-model" disabled data-group="by-vehicle">
					<option value="">{{ __( 'Model', $t ) }}</option>
				</select>

				<select name="year" id="twf_auto_year" data-none="{{ __( 'Year', Plugin::lang ) }}" data-idprefix="twf" class="js-twf-auto-year" disabled data-group="by-vehicle">
					<option>{{ __( 'Year', $t ) }}</option>
				</select>

				<select name="mod" id="twf_auto_mod" data-none="{{ __( 'Modification', Plugin::lang ) }}" data-idprefix="twf" class="js-twf-auto-mod" disabled data-group="by-vehicle">
					<option>{{ __( 'Modification', $t ) }}</option>
				</select>

				<button id="twf_auto_button" disabled data-idprefix="twf" class="tf-b-right tyre-filter js-tf-vehicle-button">
					{{ __( 'Search', $t ) }}
				</button>

			</div>
		</form>

	@endif

	@if ( $widget == 'tyre' && $tab_tyre_size )
		<form 	class="twf-finder-block js-tf-block js-twf-size"
				action="<?php echo esc_attr( $tyre_url ); ?>"
				method="get"
				@if ( $tab_tyre_vehicle && $tab_tyre_size )
					style="display: none;"
				@endif
			>

			<div class="finder-form">
				<select name="{{ esc_attr( $t_fields['width'] ) }}" class="tf-b-left dynamic" data-group="by-size">
					<option value="">{{ __( 'Width', Plugin::lang ) }}</option>
					@foreach ( $tyre_width as $width )
						<option><?php echo esc_html( $width ); ?></option>
					@endforeach
				</select>

				<select name="{{ esc_attr( $t_fields['profile'] ) }}" class="dynamic" data-group="by-size">
					<option value="">{{ __( 'Profile', Plugin::lang ) }}</option>
					@foreach ( $tyre_profile as $profile )
						<option>{{ esc_html( $profile ) }}</option>
					@endforeach
				</select>

				<select name="{{ esc_attr( $t_fields['r'] ) }}" class="dynamic" data-group="by-size">
					<option value="">{{ __( 'Diameter', Plugin::lang ) }}</option>
					@foreach ( $tyre_r as $r )
						<option value="{{ esc_html( $r ) }}">
						    @if ( $show_r )
								R{{ esc_html( $r ) }}
						    @else
								{{ esc_html( $r ) }}
                        	@endif
						</option>
					@endforeach
				</select>

				<button class="tf-b-right tyre-filter"><?=__( 'Search', $t ); ?></button>

			</div>
		</form>
	@endif
		
	@if ( $widget == 'wheel' && $tab_wheel_vehicle )
		<form 	class="twf-finder-block js-wf-block js-twf-w-vehicle"
				action="<?php echo esc_attr( $wheel_url ); ?>"
				method="get">

			<div class="finder-form">

				<select name="make" id="twf_w_auto_make" data-none="{{ __( 'Make', Plugin::lang ) }}" data-idprefix="twf_w" class="tf-b-left js-twf-auto-make" data-group="by-vehicle">
					<option value=""><?=__( 'Make', Plugin::lang ); ?></option>
					@foreach ( $makes as $make )
						<option>{{ esc_html( $make ) }}</option>
					@endforeach
				</select>

				<select name="model" id="twf_w_auto_model" data-none="{{ __( 'Model', Plugin::lang ) }}" data-idprefix="twf_w" class="js-twf-auto-model" disabled data-group="by-vehicle">
					<option value="">{{ __( 'Model', Plugin::lang ) }}</option>
				</select>

				<select name="year" id="twf_w_auto_year" data-none="{{ __( 'Year', Plugin::lang ) }}" data-idprefix="twf_w" class="js-twf-auto-year" disabled data-group="by-vehicle">
					<option>{{ __( 'Year', Plugin::lang ) }}</option>
				</select>

				<select name="mod" id="twf_w_auto_mod" data-none="{{ __( 'Modification', Plugin::lang ) }}" data-idprefix="twf_w" class="js-twf-w-auto-mod" disabled data-group="by-vehicle">
					<option>{{ __( 'Modification', Plugin::lang ) }}</option>
				</select>

				<button id="twf_w_auto_button" disabled data-idprefix="twf_w" class="tf-b-right tyre-filter js-tfw-vehicle-button">
					{{ __( 'Find Wheels', Plugin::lang ) }}
				</button>

			</div>
		</form>
	@endif

	@if ( $widget == 'wheel' && $tab_wheel_size )
		<form 	class="twf-finder-block js-wf-block js-twf-w-size"
				action="<?php echo esc_attr( $wheel_url ); ?>"
				method="get"
				@if ( $tab_wheel_vehicle && $tab_wheel_size )
					style="display: none;"
				@endif
			>

			<div class="finder-form">

				<select name="<?=esc_attr( $w_fields['width'] ) ?>" class="tf-b-left dynamic" data-group="by-size">
					<option value=""><?=__( 'Width', $t ); ?></option>
					@foreach ( $wheel_width as $width )
						<option><?php echo esc_html( $width ); ?></option>
					@endforeach
				</select>

				<select name="<?=esc_attr( $w_fields['r'] ) ?>" class="dynamic" data-group="by-size">
					<option value=""><?=__( 'Diameter', $t ); ?></option>
					@foreach ( $wheel_r as $r )
						<option value="<?=esc_html( $r ); ?>">
						    @if ( $show_r )
								R{{ esc_html( $r ) }}
						    @else
								{{ esc_html( $r ) }}
                        	@endif
						</option>
					@endforeach
				</select>

				<select name="<?=esc_attr( $w_fields['pcd'] ) ?>" class="dynamic" data-group="by-size">
					<option value=""><?=__( 'Bolt Pattern', $t ); ?></option>
					@foreach ( $wheel_pcd as $pcd )
						<option><?php echo esc_html( $pcd ); ?></option>
					@endforeach
				</select>

				<select name="<?=esc_attr( $w_fields['et'] ) ?>" class="dynamic" data-group="by-size">
					<option value=""><?=__( 'Offset', $t ); ?></option>
					@foreach ( $wheel_et as $et_id => $et )
						<option value="<?=$et_id ?>"><?=esc_html( $et ); ?></option>
					@endforeach
				</select>

				<select name="<?=esc_attr( $w_fields['dia'] ) ?>" class="dynamic" data-group="by-size">
					<option value=""><?=__( 'Dia', $t ); ?></option>
					@foreach ( $wheel_dia as $dia )
						<option><?php echo esc_html( $dia ); ?></option>
					@endforeach
				</select>

				<button class="tf-b-right tyre-filter">{{ __( 'Find Wheels', $t ) }}</button>

			</div>
		</form>
	@endif

</div>

<!-- End ta filter shortcode -->
