<?php
/**
 * Plugin Name: TyresAddict - Tyre Fitment Finder DEMO for WooCommerce
 * Plugin URI: http://b2b.tyresaddict.com/
 * Description: The Tyre Fitment Finder DEMO for tyre shops. Search by vehicle, use database of TyresAddict
 * Version: 1.2.48
 * Author: TyresAddict
 * Author URI: http://www.tyresaddict.com
 * License: GPLv2
 *
 */


defined( 'ABSPATH' ) || exit;


require_once plugin_dir_path( __FILE__ ) . 'version.php';


require_once plugin_dir_path( __FILE__ ) . 'includes/DB.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/Woo.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/PluginOptions.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/PluginInstaller.php';

register_activation_hook( __FILE__, [ '\TyresAddict\Finder\PluginInstaller', 'activate' ] );
register_deactivation_hook( __FILE__, [ '\TyresAddict\Finder\PluginInstaller', 'deactivate' ] );



// The core plugin class that is used to define locale, admin-specific hooks, and public-facing site hooks.

require_once plugin_dir_path( __FILE__ ) . 'includes/Plugin.php';

function tyresaddict_woo_tyre_finder_pro_plugin_init() 
{
	\TyresAddict\Finder\Woo::activate_notices();

    if ( TyresAddict\Finder\PluginInstaller::check_environment() )		// check depended plugins
		TyresAddict\Finder\Plugin::get_instance();
}

add_action( 'plugins_loaded', 'tyresaddict_woo_tyre_finder_pro_plugin_init' );



// settings link

function tyresaddict_woo_tyre_finder_pro_plugin_link( $links, $file ) 
{
    if ( plugin_basename( __FILE__ ) == $file ) 
    {
        // link at left
        if ( in_array( 'FeatureProMenu', TyresAddictWooFinderPluginProVer::features ) )
	        $link = '<a href="admin.php?page=' . TyresAddictWooFinderPluginProVer::name . '-menu">' . __('Settings', TyresAddictWooFinderPluginProVer::name ) . '</a>';
        else
	        $link = '<a href="options-general.php?page=' . TyresAddictWooFinderPluginProVer::name . '">' . __('Settings', TyresAddictWooFinderPluginProVer::name ) . '</a>';
        array_unshift($links, $link);
    }
    return $links;
}

add_filter( 'plugin_action_links', 'tyresaddict_woo_tyre_finder_pro_plugin_link', 10, 2 );


